#include <iostream> // biblioteka do obslugi standardowego wejscia wyjscia

#include "complex.hpp"
#include "math.hpp"

int main(void)
{
	// stworzenie obiektow reprezentujacych liczby zespolone; 
	complex a = { 1,2 };
	complex b = { 1,-2 };

	// przyklad wykorzystania stworzonego kodu w stylu C
	print(a);
	std::cout << std::endl; // przejscie do nowej linii;
	print(b);
	std::cout << std::endl;

	print(add(a, b));
	std::cout << std::endl;

	print(substract(a, b));
	std::cout << std::endl;

	print(multiply(a, b));
	std::cout << std::endl;

	print(divide(a, b));
	std::cout << std::endl;
	
	// przyklad wykorzystania stworzonego kodu w stylu C++
	std::cout << "a = " << a << ", b = " << b << std::endl;	
	std::cout << "a + b = " << a + b << std::endl;
	std::cout << "a - b = " << a - b << std::endl;
	std::cout << "a * b = " << a * b << std::endl;
	std::cout << "a / b = " << a / b << std::endl;

	std::cout << "a^10 = "<< power(a, 10) << std::endl;
	
	std::cout << "sin(a) = " << sin(a) << std::endl;
	return 0;
}