#ifndef SIMPLE_MATH
#define SIMPLE_MATH

#include "complex.hpp"

// operacje na liczbach zespolonych
// podniesienie liczby zespolonej do potegi bedacej liczba naturalna / uwaga : algorytm naiwny wykorzystujacy rekurencje - istnieja algorytmy znacznie bardziej efektwyne.
complex power(const complex a, unsigned int i);

int power(int a, unsigned int i);

long long factorial(long long i);

// obliczenie wartosci funkcji sinus arumentu zespolonego, wykorzystujac rozwiniecie w szereg Taylora. 
complex sin(const complex a);

#endif //SIMPLE_MATH